<?xml version="1.0" encoding="UTF-8"?>

<?import javafx.scene.control.*?>
<?import javafx.scene.layout.*?>
<?import javafx.scene.shape.*?>
<?import javafx.scene.text.*?>

<AnchorPane prefHeight="500.0" prefWidth="800.0" xmlns="http://javafx.com/javafx/10.0.2-internal" xmlns:fx="http://javafx.com/fxml/1" fx:controller="com.ignas.carrental.controler.RentsManagementController">
   <children>
      <Button layoutX="645.0" layoutY="68.0" mnemonicParsing="false" onAction="#allPersonRents" text="Show rents" />
      <TableView fx:id="allPersonRentsTable" editable="true" layoutX="355.0" layoutY="100.0" prefHeight="300.0" prefWidth="365.0" AnchorPane.bottomAnchor="100.0" AnchorPane.leftAnchor="355.0" AnchorPane.rightAnchor="80.0" AnchorPane.topAnchor="100.0">
        <columns>
            <TableColumn prefWidth="75.0" text="Car">
               <columns>
                  <TableColumn fx:id="carBrand" prefWidth="75.0" style="-fx-alignment: CENTER;" text="Brand" />
                  <TableColumn fx:id="carModel" prefWidth="75.0" style="-fx-alignment: CENTER;" text="Model" />
               </columns>
            </TableColumn>
            <TableColumn prefWidth="141.0" text="Rent">
               <columns>
                  <TableColumn fx:id="rentStartDate" prefWidth="75.0" style="-fx-alignment: CENTER;" text="Start date" />
                  <TableColumn fx:id="rentEndDate" prefWidth="75.0" style="-fx-alignment: CENTER;" text="End date" />
               </columns></TableColumn>
        </columns>
         <columnResizePolicy>
            <TableView fx:constant="CONSTRAINED_RESIZE_POLICY" />
         </columnResizePolicy>
      </TableView>
      <Button layoutX="24.0" layoutY="23.0" mnemonicParsing="false" onAction="#back" text="Back" />
      <Rectangle arcHeight="5.0" arcWidth="5.0" fill="#e0e4e81f" height="300.0" layoutX="80.0" layoutY="100.0" stroke="BLACK" strokeType="INSIDE" width="242.0" />
      <Text layoutX="171.0" layoutY="126.0" strokeType="OUTSIDE" strokeWidth="0.0" text="EDIT RENT" textAlignment="CENTER">
         <font>
            <Font name="System Bold" size="12.0" />
         </font>
      </Text>
      <DatePicker fx:id="editStartDate" layoutX="115.0" layoutY="252.0" promptText="Start date" />
      <DatePicker fx:id="editEndDate" layoutX="115.0" layoutY="298.0" promptText="End date" />
      <ComboBox fx:id="comboBoxBrand" layoutX="115.0" layoutY="160.0" prefHeight="25.0" prefWidth="174.0" promptText="Model" />
      <ComboBox fx:id="comboBoxModel" layoutX="115.0" layoutY="206.0" prefHeight="25.0" prefWidth="174.0" promptText="Brand" />
      <Button layoutX="138.0" layoutY="350.0" mnemonicParsing="false" onAction="#updateRentEvent" prefHeight="25.0" prefWidth="51.0" text="Save" />
      <Button fx:id="delete" layoutX="215.0" layoutY="350.0" mnemonicParsing="false" onAction="#deleteRentEvent" text="Delete" />
   </children>
</AnchorPane>
